### Method

# Gimp Procedure new_arguments

#### Declaration [src]

    GimpValueArray*
    gimp_procedure_new_arguments (
      GimpProcedure* procedure
    )

#### Description [src]

Format the expected argument values of procedures, in the order as added with `gimp_procedure_add_argument()`.

Available since: | 3.0

#### Return value

Returns: | `GimpValueArray`
| The expected `GimpValueArray` which could be given as arguments to run `procedure`, with all values set to defaults. Free with gimp_value_array_unref().
| The caller of the method takes ownership of the data, and is responsible for freeing it.